| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# IG::Lib::LoadableScriptScalarFunctionBase Class Reference

Base class for loadable scripts that define scalar functions of several variables. More...

Inheritance diagram for IG::Lib::LoadableScriptScalarFunctionBase:
[legend]
Collaboration diagram for IG::Lib::LoadableScriptScalarFunctionBase:
[legend]

List of all members.

## Public Member Functions
abstract LoadableScalarFunctionBase | CreateScalarFunction ()
| Creates and returns a new scalar function object where the returned object is of scalar function class that has been dynamically loaded from the current script.
abstract LoadableScalarFunctionBase | CreateScalarFunction (IAffineTransformation transf)
| Creates and returns a new trnsformed scalar function object where object is of scalar function class that has been dynamically loaded from the current script. The resulting function is user defined function with affine transformed parameters.
## Protected Member Functions
override void | InitializeThis (string[] arguments)
| Script initialization, defined just for formal reasons.
override string | RunThis (string[] arguments)
| Script execution, defined just for formal reasons.

## Detailed Description

Base class for loadable scripts that define scalar functions of several variables.

$A Igor Jun10;

## Member Function Documentation

abstract LoadableScalarFunctionBase IG::Lib::LoadableScriptScalarFunctionBase::CreateScalarFunction | ( |  | ) | `[pure virtual]`

Creates and returns a new scalar function object where the returned object is of scalar function class that has been dynamically loaded from the current script.

Implemented in IG::Script::ScritpScalarFunctionExample.

abstract LoadableScalarFunctionBase IG::Lib::LoadableScriptScalarFunctionBase::CreateScalarFunction | ( | IAffineTransformation | transf | ) | `[pure virtual]`

Creates and returns a new trnsformed scalar function object where object is of scalar function class that has been dynamically loaded from the current script. The resulting function is user defined function with affine transformed parameters.

Parameters:

  transf | Afifne transformation that defines transformation of parameters.

$A Igor Sep11;

Implemented in IG::Script::ScritpScalarFunctionExample.

override void IG::Lib::LoadableScriptScalarFunctionBase::InitializeThis | ( | string[] | arguments | ) | `[inline, protected, virtual]`

Script initialization, defined just for formal reasons.

Implements IG::Lib::LoadableScriptBase.

override string IG::Lib::LoadableScriptScalarFunctionBase::RunThis | ( | string[] | arguments | ) | `[inline, protected, virtual]`

Script execution, defined just for formal reasons.

Implements IG::Lib::LoadableScriptBase.

The documentation for this class was generated from the following file:

- ScalarFunctionScriptBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events